import * as employee from "../../../support/testFunctions/employee/employees"
import * as position from "../../../support/testFunctions/employee/position"
import * as set from "../../../support/testFunctions/set_up"
import * as data from "../../../fixtures/data"

describe('Account', () => {
    
    beforeEach(() => {
        
        cy.visit('/profile/personal-information')
        cy.get('#mainContent > div.login-spinner').should('not.exist')
    })

    describe('Sets up workspace', () => {
        
        set.setConfiguration()
        
        set.setCharts()
        
        set.addPosition()
    })

    describe('Personal information', () => {

        it('Changes personal information', () => {

            employee.changePersonalInfo(data.person[4])
            employee.checkChangedPersonalInfo(data.person[4])
        })
    })

    describe('Position', () => {
        
        it('Checks if position info is disabled', () => {

            position.checkDisabled()
        })
    })

    describe('Language', () => {
        
        it('Changes language to cs', () => {

            employee.openTab('Language')
            employee.changeLanguage('cs')
            employee.checkNavTabsLang('cs')
        })

        it('Changes language back to en', () => {
 
            employee.openTab('Language')
            employee.changeLanguage('en')
            employee.checkNavTabsLang('en')
        })
    })

    describe('Password', () => {
        
        it('Changes password', () => {

            employee.openTab('Change password')
            employee.changePassword('tester', 'S0m3R34llyC00lP455')
        })

        it('Logs in', () => {

            cy.login_session(Cypress.env('WORKSPACE_NAME') + '@onboardee.io', 'S0m3R34llyC00lP455')
        })
    })

    describe('Cleans up workspace after tests', () => {

        beforeEach(() => {
        
            cy.login_session(Cypress.env('WORKSPACE_NAME') + '@onboardee.io', 'S0m3R34llyC00lP455')
        })

        set.deletePositionInfo()

        set.deleteConfiguration()
    })

    describe('Delete workspace and create new', () => {

        it('Deletes workspace', () => {
            // TODO intentional missing part of the code -1-        
        })

        it('Creates workspace', () => {
            // TODO intentional missing part of the code -2-
        })
    })
})