import * as data from "../../../fixtures/data"
import * as dashboard from "../../../support/testFunctions/dashboards"

export function dashboardCareerTasks() {

    describe('Dashboard - Career tasks', () => {
        
        beforeEach(() => {

            cy.login_sesh()
            cy.visit('/dashboard/tasks')
            cy.get('#mainContent > div.login-spinner').should('not.exist')
        })
            
        it('Check all tasks', () => {
            
            dashboard.checkTasks(['new task1', 'new task2', 'new task3', 'newest task1', 'newest task2'])
        })

        it('Filter tasks', () => {
            
            dashboard.filter('Employee', data.person[0].surname)
            dashboard.checkTasks(['new task1', 'new task2', 'new task3'])

            dashboard.filter('Employee', data.person[1].surname)
            dashboard.checkTasks(['newest task1', 'newest task2'])

            dashboard.filter('Employee', 'All')
            dashboard.checkTasks(['new task1', 'new task2', 'new task3', 'newest task1', 'newest task2'])

            dashboard.filter('Status', 'Todo')
            dashboard.checkTasks(['new task1', 'new task2', 'new task3', 'newest task1', 'newest task2'])

            dashboard.filter('Status', 'Inprogress')
            dashboard.checkTasks([])

            dashboard.filter('Status', 'All')
            dashboard.checkTasks(['new task1', 'new task2', 'new task3', 'newest task1', 'newest task2'])

            dashboard.filter('Area', 'ONBOARDING')
            dashboard.checkTasks(['newest task1', 'newest task2'])
        })
    })
}