import * as data from "../../../fixtures/data"
import * as dashboard from "../../../support/testFunctions/dashboards"

export function dashboardTeamTasks() {

    describe('Dashboard - Team tasks', () => {
        
        beforeEach(() => {

            cy.login_sesh()
            cy.visit('/dashboard/assigned-tasks')
            cy.get('#mainContent > div.login-spinner').should('not.exist')
        })
            
        it('Check all tasks', () => {
            
            dashboard.checkTasks(['my internal task name1', 'my internal task name2', 'my internal task name3', 'my internal task newest name1', 'my internal task newest name2'])
        })

        it('Filter tasks', () => {

            dashboard.filter('Employee', data.person[0].surname)
            dashboard.checkTasks(['my internal task name1', 'my internal task name2', 'my internal task name3'])

            dashboard.filter('Employee', data.person[1].surname)
            dashboard.checkTasks(['my internal task newest name1', 'my internal task newest name2'])

            dashboard.filter('Employee', 'All')
            dashboard.checkTasks(['my internal task name1', 'my internal task name2', 'my internal task name3', 'my internal task newest name1', 'my internal task newest name2'])
            
            dashboard.filter('Assigned to', 'Feuermann')
            dashboard.checkTasks(['my internal task name3', 'my internal task newest name1'])

            dashboard.filter('Assigned to', data.person[1].surname)
            dashboard.checkTasks(['my internal task name1', 'my internal task name2'])

            dashboard.filter('Assigned to', 'All')
            dashboard.checkTasks(['my internal task name1', 'my internal task name2', 'my internal task name3', 'my internal task newest name1', 'my internal task newest name2'])

            dashboard.filter('Status', 'Todo')
            dashboard.checkTasks(['my internal task name1', 'my internal task name2', 'my internal task name3', 'my internal task newest name1', 'my internal task newest name2'])

            dashboard.filter('Status', 'Inprogress')
            dashboard.checkTasks([])

            dashboard.filter('Status', 'All')
            dashboard.checkTasks(['my internal task name1', 'my internal task name2', 'my internal task name3', 'my internal task newest name1', 'my internal task newest name2'])

            dashboard.filter('Area', 'ONBOARDING')
            dashboard.checkTasks(['my internal task newest name1', 'my internal task newest name2'])
        })
    })
}