import * as set from "../../../support/testFunctions/set_up"
import { assignedTasks } from "./employee_assigned_tasks"
import { career } from "./employee_career"
import { internalFeedback } from "./employee_internal_feedback"
import { internalNote } from "./employee_internal_note"
import { employeeInventory } from "./employee_inventory"
import { login } from "./employee_login"
import { outputs } from "./employee_outputs"
import { personalInformation } from "./employee_personal_info"


describe('Employees', () => {
    
    beforeEach(() => {
        cy.visit('/employees')
        cy.get('#mainContent > div.login-spinner').should('not.exist')
    })


    describe('Sets up workspace', () => {
        
        set.setConfiguration()
        
        set.setCharts()

        set.createContents()  

        set.createForm()
        
        set.selectCustomFields()

        set.createTemplate()

        set.createInventory()
    })

    describe('Tests', () => {

        personalInformation()

        career()

        login()
        
        assignedTasks()
        
        outputs()

        internalFeedback()

        internalNote()

        employeeInventory()
        
    })
    

    describe('Cleans up workspace after tests', () => {

        set.deleteTemplate()

        set.deleteAllFiles()
        
        set.deleteContents()

        set.deleteInventory()

        set.deleteForm()
        
        set.deleteCustomFields()  
        
        set.deleteEmployees()
        
        set.deleteConfiguration()
    })
})