import * as employee from "../../../support/testFunctions/employee/employees"
import * as template from "../../../support/testFunctions/templates"
import * as data from "../../../fixtures/data"

export function assignedTasks() {
    
    describe('Assigned tasks', () => {

        it('Adds new internal tasks', () => {

            employee.openEmployeeCard(data.person[0].surname)
            employee.openTab('Career')
            template.openModule('ONBOARDING')
            
            template.addInternalTask('new task1', 'description for my internal task', 'my internal task name1', null, 'Feuermann')
            template.addInternalTask('new task1', 'description for my internal task', 'my internal task name2', null, 'Feuermann')
            template.addInternalTask('new task2', 'description for my internal task', 'my internal task name3', null, 'Feuermann')
        })

        it('Adds milestone', () => {

            employee.openEmployeeCard(data.person[1].surname)
            employee.openTab('Career')

            template.addModule('PROMOTION', false)
        })

        it('Adds new tasks', () => {

            employee.openEmployeeCard(data.person[1].surname)
            employee.openTab('Career')
            template.openModule('PROMOTION')
            
            template.addTask('newest task1', 'new task desc', false)
            template.addTask('newest task2','new task desc', false)
        })

        it('Adds new internal tasks', () => {

            employee.openEmployeeCard(data.person[1].surname)
            employee.openTab('Career')
            template.openModule('PROMOTION')
            
            template.addInternalTask('newest task1', 'description for my internal task', 'my internal task name1', null, 'Feuermann')
            template.addInternalTask('newest task1', 'description for my internal task', 'my internal task newest name2', null, 'Feuermann')
        })

        it('Checks assigned tasks', () => {

            employee.openEmployeeCard('Feuermann')
            employee.openTab('Team tasks')

            employee.checkAssignedTasks(['my internal task name1', 'my internal task name2', 'my internal task name3', 'my internal task name1', 'my internal task name2'])
        })
    })
}