import * as employee from "../../../support/testFunctions/employee/employees"
import * as inventory from "../../../support/testFunctions/inventory"
import * as data from "../../../fixtures/data"

export function employeeInventory() {

    describe('Inventory', () => {
        it('Assigns inventory item', () => {

            employee.openEmployeeCard(data.person[0].surname)
            employee.openTab('Inventory')
            
            inventory.assignItem(data.item[0].name)
        })
        
        it('Check assigned item', () => {

            cy.visit('/inventory')

            inventory.checkAssignedItem(data.item[0].name, data.person[0].surname)
        })

        it('Delete assigned item', () => {

            employee.openEmployeeCard(data.person[0].surname)
            employee.openTab('Inventory')
            inventory.openInventoryDetail(data.item[0].name)
            inventory.unassignItem(data.item[0].name)
        })

        it('Check unassigned item', () => {

            cy.visit('/inventory')

            inventory.checkUnassignedItem(data.item[0].name)
        })
    })
}