import * as employee from "../../../support/testFunctions/employee/employees"
import * as onboarding from "../../../support/testFunctions/onboarding"
import * as data from "../../../fixtures/data"
import * as position from "../../../support/testFunctions/employee/position"
import * as content from "../../../support/testFunctions/content"

export function outputs() {

    describe('Outputs', () => {

        it('Changes position status', () => {

            employee.openEmployeeCard(data.person[0].surname)
            position.changePositionStatus()
        })

        it('Open task and finish it', () => {

            cy.visit('/')
            onboarding.openOnboarding(data.person[0])
            onboarding.openModule('ONBOARDING')
            onboarding.openTask('new task1')
            onboarding.completeTask('new task1', 'form')        
             
            onboarding.openTask('new task2')
            content.uploadFilesForm()
            cy.wait(10000)
            onboarding.completeTask('new task2', 'upload')   
        
        })

        it('Checks output', () => {

            employee.openEmployeeCard(data.person[0].surname)
            employee.openTab('Outputs')
            
            employee.checkOutputs([{name: 'new task1', type: 'form'}])
            employee.checkOutputs([{name: 'new task2', type: 'form'}])
            cy.wait(5000)
        })
    })
}