import * as employee from "../../../support/testFunctions/employee/employees"
import * as position from "../../../support/testFunctions/employee/position"
import * as data from "../../../fixtures/data"
import * as charts from "../../../support/testFunctions/settings/charts"

export function personalInformation() {

    describe('Personal information', () => {
        it('Adds an employee (+ position)', () => {

            cy.get('#mainContent > div.login-spinner').should('not.exist')
            employee.addEmployee(data.person[0], data.position[0], 'create', true)
        })

        it('Changes personal information', () => {

            cy.get('#mainContent > div.login-spinner').should('not.exist')
            employee.openEmployeeCard(data.person[0].surname)
            cy.get('#mainContent > div.login-spinner').should('not.exist')
            employee.changePersonalInfo(data.person[3])
            cy.get('#mainContent > div.login-spinner').should('not.exist')
            employee.checkChangedPersonalInfo(data.person[3])
        })
    })

    describe('Position information', () => {
        it('Adds an employee (+ position)', () => {

            cy.get('#mainContent > div.login-spinner').should('not.exist')
            employee.addEmployee(data.person[1], data.position[1], 'create', true)
        })

        it('Changes position information and its status', () => {

            cy.get('#mainContent > div.login-spinner').should('not.exist')
            employee.openEmployeeCard(data.person[1].surname)
            cy.get('#mainContent > div.login-spinner').should('not.exist')
            position.changePositionStatus()
            cy.get('#mainContent > div.login-spinner').should('not.exist')
            position.changePositionInfo(data.position[1].name, data.position[4])
        })

        it('Adds another (second) position', () => {

            cy.get('#mainContent > div.login-spinner').should('not.exist')
            employee.openEmployeeCard(data.person[1].surname)
            cy.get('#mainContent > div.login-spinner').should('not.exist')
            position.addToPosition(data.position[3], 'create')
        })

        it('Deletes position', () => {

            cy.visit('/employees')

            cy.get('#mainContent > div.login-spinner').should('not.exist')
            employee.openEmployeeCard(data.person[1].surname)
            position.deletePosition(data.position[3].name)

            cy.visit('/settings/organisation-chart')
            charts.deleteItem(data.position[3].name)
        })

    })
}
