import * as set from "../../../support/testFunctions/set_up"
import { customFields } from "./settings_custom_fields"
import { testFiles } from "./settings_files"
import { keyroles } from "./settings_keyroles"
import { legalSettings } from "./settings_legal"
import { orgChart } from "./settings_org_chart"
import { geoChart, projectChart } from "./settings_project_and_geo_chart"
import { users } from "./settings_users"
import { whitelabel } from "./settings_whitelabel"

describe('Settings', () => {

    describe('Sets up workspace', () => {
        
        set.setConfiguration()

        set.setCharts()

        set.addEmployees()

        set.createForm()
    })

    describe('Tests', () => {

        whitelabel()

        geoChart()

        projectChart()

        keyroles()

        testFiles()

        users()

        orgChart()

        customFields()

        legalSettings()
        
    })
    

    describe('Cleans up workspace after tests', () => {

        set.deleteUser()

        set.deleteConfiguration()

        set.deleteEmployees()

        set.deleteForm()
    })
})