import * as employees from "../../../support/testFunctions/employee/employees"
import * as keyrole from "../../../support/testFunctions/settings/keyroles_and_custom_fields"
import * as data from "../../../fixtures/data"

export function customFields() {

    describe('Custom fields', () => {
        
        beforeEach(() => {

            cy.visit('/settings/custom-fields')
            cy.get('#mainContent > div.login-spinner').should('not.exist')
        })
        
        it('Selects custom fields', () => {

            keyrole.selectCustomField('Select custom field for employee detail', 'Custom form')
            keyrole.selectCustomField('Select custom field for internal feedback (team member evaulation)', 'Custom form')
            keyrole.selectCustomField('Select custom field for internal feedback (manager evaluation)', 'Custom form')
        })

        it('Checks custom fields', () => {

            cy.visit('/employees')
            cy.get('#mainContent > div.login-spinner').should('not.exist')

            employees.openEmployeeCard(data.person[0].surname)
            keyrole.checkCustomField()

            employees.openTab('Internal feedback')
            keyrole.checkCustomField()
        })

        it('Deletes custom fields', () => {

            keyrole.deselectCustomField('Select custom field for employee detail')
            keyrole.deselectCustomField('Select custom field for internal feedback (team member evaulation)')
            keyrole.deselectCustomField('Select custom field for internal feedback (manager evaluation)')
        })
        
    })
}