import * as employee from "../../../support/testFunctions/employee/employees"
import * as files from "../../../support/testFunctions/settings/files"
import * as data from "../../../fixtures/data"

export function testFiles() {

    describe('Files', () => {
        
        beforeEach(() => {

            cy.visit('/settings/files')
            cy.get('#mainContent > div.login-spinner').should('not.exist')
        })

        it('Upload files', () => {
            cy.visit('/employees')
            cy.get('#mainContent > div.login-spinner').should('not.exist')
            employee.openEmployeeCard(data.person[0].surname)
            files.uploadFilesEmployee(data.files)

        })
        
        it('Deletes file', () => {

            files.delFile('excel.xlsx')
            files.delFile('jpg.jpg')
        })
            
        it('Deletes all files in the system', () => {
            
            files.delAllFiles()
        }) 
    })
}