import * as content from "../../../support/testFunctions/content"
import * as data from "../../../fixtures/data"
import * as employee from '../../../support/testFunctions/employee/employees'


export function legalSettings() {
    
    describe('Legal settings', () => {
            
        beforeEach(() => {

            cy.visit('/settings/legal-settings-people')
            cy.get('#mainContent > div.login-spinner').should('not.exist')
        })

        it('Fills in legal text', () => {
            
            content.fillContentShort()
        })
    

        describe('Employee account', () => {

            before(() => {
        
                Cypress.session.clearAllSavedSessions()
            })
            
            beforeEach(() => {
                
                cy.login_session(data.user[0].email, data.user[0].password)
                cy.visit('/')
                cy.get('#mainContent > div.login-spinner').should('not.exist')
            })

            it('Checks legal content', () => {
    
                employee.checkLegalContent()
            })

            it('Confirms legal content', () => {
    
                employee.confirmLegalContent() 
            })
        })
    })
}