import * as charts from "../../../support/testFunctions/settings/charts"

export function geoChart() {

    describe('Geo chart', () => {

        beforeEach(() => {

            cy.visit('/settings/geo-chart')
            cy.get('#mainContent > div.login-spinner').should('not.exist')
        })
        
        it('Adds geo positions', () => {

            cy.get('h1:contains("Geo chart")').should('be.visible')

            charts.addItem('LONDON')
            charts.addItem('BARCELONA')
            charts.addItem('NEW YORK')
        })

        it('Renames geo positions', () => {

            cy.get('h1:contains("Geo chart")').should('be.visible')

            charts.renameItem('BARCELONA', 'COPENHAGEN')
            charts.renameItem('LONDON', 'HONG KONG')
        })

        it('Deletes geo positions', () => {

            cy.get('h1:contains("Geo chart")').should('be.visible')

            charts.deleteItem('NEW YORK')
            charts.deleteItem('COPENHAGEN')
            charts.deleteItem('HONG KONG')
        })
    })
}

export function projectChart() {

    describe('Project chart', () => {

        beforeEach(() => {
        
            cy.visit('/settings/project-chart')
            cy.get('#mainContent > div.login-spinner').should('not.exist')
        })
        
        it('Adds projects', () => {

            cy.get('h1:contains("Project chart")').should('be.visible')

            charts.addItem('SIDE PROJECT')
            charts.addItem('NOT IMPORTANT PROJECT')
            charts.addItem('HIGH PRIORITY TOP SECRET PROJECT')
        })

        it('Renames projects', () => {

            cy.get('h1:contains("Project chart")').should('be.visible')

            charts.renameItem('HIGH PRIORITY TOP SECRET PROJECT', 'TOP SECRET')
            charts.renameItem('NOT IMPORTANT PROJECT', 'HIGH IMPORTANCE')
        })

        it('Deletes projects', () => {

            cy.get('h1:contains("Project chart")').should('be.visible')
            
            charts.deleteItem('TOP SECRET')
            charts.deleteItem('HIGH IMPORTANCE')
            charts.deleteItem('SIDE PROJECT')
        })
    })
}