export function whitelabel() {

    describe('Whitelabel', () => {

        beforeEach(() => {

            cy.visit('/settings/whitelabel-settings')
            cy.get('#mainContent > div.login-spinner').should('not.exist')
        })
        
        it('Changes the color', () => {
            cy.get('.chrome-picker ').click(275, 15)
            cy.wait(500)
            cy.get('button:contains("Save")').click()
            cy.get('#mainContent > div.login-spinner').should('not.exist')

            cy.get('#rc-editable-input-2').should('have.value', '#E92121')
            cy.get('button:contains("Save")').should('have.css', 'background-color', 'rgb(233, 33, 33)')
            
        })

        it('Changes the color - change hue', () => {
            cy.get('.hue-horizontal').click(60, 5)
            cy.wait(500)
            cy.get('.chrome-picker ').click(275, 45)

            cy.wait(500)
            cy.get('button:contains("Save")').click()
            cy.get('#mainContent > div.login-spinner').should('not.exist')

            cy.get('#rc-editable-input-2').should('have.value', '#7CBE1B')
            cy.get('button:contains("Save")').should('have.css', 'background-color', 'rgb(124, 190, 27)')
        })

        it('Restore default colors', () => {
            
            cy.get('button:contains("Restore defaults")').click()
            cy.get('#mainContent > div.login-spinner').should('not.exist')
            cy.get('button:contains("Save")').should('have.css', 'background-color', 'rgb(149, 67, 208)')
        })
    })
}