import * as employee from "../../../support/testFunctions/employee/employees"
import * as set from "../../../support/testFunctions/set_up"
import * as data from "../../../fixtures/data"
import * as position from "../../../support/testFunctions/employee/position"
import * as team from "../../../support/testFunctions/team"

describe('Team', () => {

    beforeEach(() => {

        cy.visit('/team')
        cy.get('#mainContent > div.login-spinner').should('not.exist')
    })


    describe('Sets up workspace', () => {
        
        set.setConfiguration()
        
        set.setCharts()
        
        set.addEmployees()   
    })

    describe('Team', () => {
        it('Changes teamleader', () => {

            cy.visit('/employees')
            cy.get('#mainContent > div.login-spinner').should('not.exist')

            employee.openEmployeeCard(data.person[1].surname)
            position.changeTeamLeader(data.position[1].name, 'Feuermann')
        })

        it('Check team as a teamleader', () => {

            team.checkTeamleader('Feuerman')
            team.checkMemberCount(3)
            team.checkMembers(['Feuerman', data.person[0].surname, data.person[1].surname])
        })

        it('Changes teamleader', () => {

            cy.visit('/employees')
            cy.get('#mainContent > div.login-spinner').should('not.exist')

            employee.openEmployeeCard(data.person[1].surname)
            position.changeTeamLeader(data.position[1].name, data.person[0].surname)
        })

        it('Check team as a teamleader', () => {

            team.checkTeamleader('Feuerman')
            team.checkMemberCount(2)
            team.checkMembers(['Feuerman', data.person[0].surname])
        })

        set.addPosition()

        it('Changes teamleader', () => {

            cy.visit('/employees')
            cy.get('#mainContent > div.login-spinner').should('not.exist')

            employee.openEmployeeCard(data.person[0].surname)
            position.changeTeamLeader(data.position[0].name, data.person[0].surname)

            cy.visit('/employees')
            cy.get('#mainContent > div.login-spinner').should('not.exist')

            employee.openEmployeeCard('Feuermann')
            position.changeTeamLeader(data.position[3].name, data.person[0].surname)
        })

        it('Check team as a teamleader', () => {

            team.checkNoTeamleader()
            team.checkMembers(['Feuerman'])
        })
    })

    describe('Cleans up workspace after tests', () => {

        set.deletePositionInfo()

        set.deleteEmployees()
        
        set.deleteConfiguration()
    })
})