import * as content from "../../../support/testFunctions/content"
import * as set from "../../../support/testFunctions/set_up"

describe('Wiki/Content', () => {
    
    beforeEach(() => {

        cy.visit('/content')
        cy.get('#mainContent > div.login-spinner').should('not.exist')
    })

    describe('Sets up workspace', () => {
        
        set.setConfiguration()
    })

    describe('Form', () => {
        it('Creates a new form', () => {

            content.createContent('FORMform', 'form')
        })

        it('Creates new segment with all form elements', () => {
          
            content.openContent('FORMform')
            content.createSegment('FORM_form', 'Form')
            content.createAllFormElements('FORMform')
        })

        it('Checks preview', () => {

            content.openContent('FORMform')
            content.openPrev()
            content.previewFormAll('FORM_form')
            content.closePrev()
        })

        it('Deletes segments', () => {

            content.openContent('FORMform')
            content.deleteSegment('FORM_form')
        })

        it('Deletes a form', () => {

            content.openContent('FORMform')
            content.deleteContent('FORMform', 'form')
        })
    })

    describe('Upload files', () => {
        it('Creates a new form', () => {

            content.createContent('FORMupload', 'form')
        })

        it('Creates new segments', () => {
          
            content.openContent('FORMupload')
            content.createSegment('FORM_upload', 'Upload')
        })

        it('Opens preview and upload files', () => {

            content.openContent('FORMupload')
            content.openPrev()
            content.previewUpload()
            content.uploadFilesForm()
            content.closePrev()
        })

        it('Deletes segments', () => {

            content.openContent('FORMupload')
            content.deleteSegment('FORM_upload')
        })

        it('Deletes a form', () => {

            content.openContent('FORMupload')
            content.deleteContent('FORMupload', 'form')
        })
    })

    describe('Cleans up workspace after tests', () => {
        
        set.deleteAllFiles()
        
        set.deleteConfiguration()
    })
})