import * as content from "../../../support/testFunctions/content"
import * as set from "../../../support/testFunctions/set_up"

describe('Wiki/Content', () => {

    beforeEach(() => {

        cy.visit('/content')
        cy.get('#mainContent > div.login-spinner').should('not.exist')
    })

    describe('Sets up workspace', () => {
        
        set.setConfiguration()
    })

    describe('Document for signing', () => {
        it('Creates a new signing document', () => {

            content.createContent('DOC FOR SIGNING', 'document', 'Document for signing')
        })

        it('Fills in content', () => {
          
            content.openContent('DOC FOR SIGNING')
            content.fillContentDoc()
        })

        it('Checks the preview', () => {

            content.openContent('DOC FOR SIGNING')
            content.openPrev()
            content.previewContentDoc()
            content.closePrev()
        })

        it('Deletes the signing document', () => {

            content.openContent('DOC FOR SIGNING')
            content.deleteContent('DOC FOR SIGNING', 'document')
        })
    })

    describe('Document for inventory', () => {
        it('Creates a new inventory document', () => {

            content.createContent('DOC FOR INVENTORY', 'document', 'Document for signing')
        })

        it('Checks the preview', () => {

            content.openContent('DOC FOR INVENTORY')
            content.openPrev()
            content.previewInventory()
            content.closePrev()
        })

        it('Deletes the inventory document', () => {

            content.openContent('DOC FOR INVENTORY')
            content.deleteContent('DOC FOR INVENTORY', 'document')
        })
    })

    describe('Cleans up workspace after tests', () => {
        
        set.deleteConfiguration()
    })
})