import * as employee from "../../support/testFunctions/employee/employees"
import * as content from "../../support/testFunctions/content"
import * as set from "../../support/testFunctions/set_up"
import * as data from "../../fixtures/data"

describe('Admin account', () => {

    describe('Sets up workspace', () => {
       
        set.setConfiguration()
        
        set.setCharts()

        set.createContentsForWiki()

        set.addEmployees()
    
        set.createUser()
    })
})

describe('Employee account', () => {

    before(() => {

        Cypress.session.clearAllSavedSessions()
    })
    
    beforeEach(() => {
        
        cy.login_session(data.user[0].email, data.user[0].password)
        cy.visit('/wiki')
        cy.get('#mainContent > div.login-spinner').should('not.exist')
    })

    describe('Legal content', () => {
        it('Confirms legal content', () => {

            employee.confirmLegalContent() 
        })
    })

    describe('Wiki', () => {

        it('Opens wiki content', () => {

            content.checkWiki(['2 content', '3 quiz', '4 form', '5 files', '6 video', '7 notion'])
            cy.wait(5000)
        })
    })
})

describe('Admin account', () => {

    before(() => {

        Cypress.session.clearAllSavedSessions()
    })
    
    beforeEach(() => {
        
        cy.login_sesh()
    })

    describe('Cleans up workspace after tests', () => {

        set.deleteUser()

        set.deleteEmployees()

        set.deleteContentsForWiki()

        set.deleteConfiguration()
    })
})