import * as employee from "../../support/testFunctions/employee/employees"
import * as set from "../../support/testFunctions/set_up"
import * as data from "../../fixtures/data"
import * as team from "../../support/testFunctions/team"

describe('Admin account', () => {

    describe('Sets up workspace', () => {
        
        set.setConfiguration()
        
        set.setCharts()
        
        set.addEmployees()
    
        set.createUser()
    })

    // describe('Team', () => {
    //     it('Changes teamleader', () => {

    //         cy.visit('/employees')
    //         cy.get('#mainContent > div.login-spinner').should('not.exist')

    //         employee.openEmployeeCard(data.person[0].surname)
    //         position.changeTeamLeader(data.position[0].name, 'Feuermann')

    //         cy.visit('/employees')
    //         cy.get('#mainContent > div.login-spinner').should('not.exist')

    //         employee.openEmployeeCard(data.person[1].surname)
    //         position.changeTeamLeader(data.position[1].name, 'Feuermann')
    //     })
    // })
})

describe('Employee account', () => {

    before(() => {

        Cypress.session.clearAllSavedSessions()
    })
    
    beforeEach(() => {
        
        cy.login_session(data.user[0].email, data.user[0].password)
        cy.visit('/team')
        cy.get('#mainContent > div.login-spinner').should('not.exist')
    })

    describe('Legal content', () => {
        it('Confirms legal content', () => {

            employee.confirmLegalContent() 
        })
    })

    describe('Team', () => {

        it('Check teammates', () => {

            team.checkTeamleader(data.person[0].surname)
            team.checkMemberCount(2)
            team.checkMembers([data.person[0].surname, data.person[1].surname])
        })
    })
})

describe('Admin account', () => {

    before(() => {

        Cypress.session.clearAllSavedSessions()
    })
    
    beforeEach(() => {
        
        cy.login_sesh()
    })

    describe('Cleans up workspace after tests', () => {

        set.deleteUser()
        
        set.deleteEmployees()
        
        set.deleteConfiguration()
    })
})