/**
 * Checks if tasks that should be present in dashboard are present
 * 
 * @param {[string]} tasks list of task names that should be present in the dashboard
 */
export function checkTasks(tasks) {

    tasks.forEach(task => {
        cy.get('tr > td:contains("' + task + '") ').should('exist')
    })
}

/**
 * Filters dashboard info according to filter criteria
 * 
 * @param {string} filterName name of the filter criteria
 * @param {string} filterOption name of the filter option
 */
export function filter(filterName, filterOption) {

    cy.selectOption(filterName, filterOption)
}