/**
 * Uploads file to the employee's card
 */
export function uploadFilesEmployee(files) {

    cy.get('form + div > section:contains("Upload files")')
    .attachFile(files, { subjectType: 'drag-n-drop' })

    // checks if files are uploaded on the employee's card
    files.forEach(file => {
        cy.get('form + div:contains("Upload files") >').should('contain', file)

    })
    

    // checks if files are uploaded in the company file 
    cy.visit('/settings/files')

    files.forEach(file => {
        cy.get('table').should('contain', file)
        
    })
}

/**
 * Deletes file of a given name from the list of all files in 'Company files'
 * 
 * @param {string} fileName name of the file
 */
export function delFile(fileName) {

    cy.get('td:contains("' + fileName + '") ++++>').click()

    cy.get('div:contains("Delete file"):last').click()
    cy.get('div[id^="headlessui-dialog-panel"]').should('be.visible')
    cy.get('button:contains("Confirm")').click()

    // checks
    cy.get('table').should('not.contain', fileName)
}

/**
 * Deletes all files from the list of all files in 'Company files'
 */
export function delAllFiles() {

    cy.delete('Delete files')

    // checks
    cy.get('table > tbody tr').should('have.length', 0)
}
