/**
 * Selects master of a given name to the given type of master
 * 
 * @param {string} type type of the master
 * @param {string} name name of the master
 */
export function selectMaster(type, name) {

    cy.get('label:contains("' + type + '") +').type(name + '{enter}')
}

/**
 * Deletes master of a given name in the given type of master
 * 
 * @param {string} type type of the master
 * @param {string} name name of the master
 */
export function deleteMaster(type, name) {

    cy.get('label:contains("' + type + '") + > > > > :contains("' + name + '") +').click()
}

/**
 * Deletes all masters in the given type of master.
 * 
 * @param {string} type type of the master
 */
export function deleteAllMasters(type) {

    cy.get('label:contains("' + type + '") + > > + > :first').click()
}

/**
 * Selects custom fields of a given name to the type of custom field
 * 
 * @param {string} type type of the custom field
 * @param {string} name name of the content
 */
export function selectCustomField(type, name) {

    cy.get('label:contains("' + type + '") +').type(name + '{enter}')
}


/**
 * Deselects given custom fields
 * 
 * @param {string} type type of the custom field
 */
export function deselectCustomField(type) {

    cy.get('label:contains("' + type + '") +').type('{enter}')
}

/**
 * Checks if custom form is visible
 */
export function checkCustomField() {

    cy.get('form:first > div h2').should('contain', 'Custom form')
}